<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<meta charset="UTF-8" />

<link rel="stylesheet" type="text/css" th:href="@{/webjars/bootstrap/5.2.0/css/bootstrap.min.css}" />
<link rel="stylesheet" type="text/css" th:href="@{/webjars/font-awesome/6.1.2/css/all.min.css}">
<link rel="stylesheet" type="text/css" th:href="@{/webjars/datatables/1.12.1/css/jquery.dataTables.min.css}">
<link rel="stylesheet" type="text/css" th:href="@{/css/style.css}">
<link rel="icon" type="image/png" sizes="32x32" th:href="@{/png/favicon/favicon-32x32.png}">
<link rel="icon" type="image/png" sizes="16x16" th:href="@{/png/favicon/favicon-16x16.png}">

<script type="application/javascript" th:src="@{/webjars/jquery/3.6.0/jquery.min.js}"></script>
<script type="application/javascript" th:src="@{/webjars/popper.js/2.9.3/umd/popper.min.js}"></script>
<script type="application/javascript" th:src="@{/webjars/bootstrap/5.2.0/js/bootstrap.min.js}"></script>
<script type="application/javascript" th:src="@{/webjars/datatables/1.12.1/js/jquery.dataTables.min.js}"></script>
<script type="application/javascript" th:src="@{/js/progress.js}"></script>

</head>
<body>
	<!-- Navigation -->
	<nav class="navbar navbar-expand-lg navbar-light bg-light static-top">
		<div class="container-fluid" style="width: 98%">
			<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarResponsive"
				aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarResponsive">
				<ul class="navbar-nav">
					<li class="nav-item">
						<div class="dropdown">
							<button class="btn btn-hoverborder dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
								<span class="nobreak">SQuaRe²</span>&nbsp;<span th:text="${mainversion}"></span>
							</button>
							<ul class="dropdown-menu">
								<li><a class="dropdown-item" th:href="@{${mainurl} + '/impressum'}" onclick="progress.start()">Impressum</a></li>
								<li><hr class="dropdown-divider"></li>
								<li><a class="dropdown-item" th:href="@{/logout}" th:utext="#{main.nav.item.logout(${@sessionBean.username})}"
									onclick="progress.start()">logout</a></li>
							</ul>
						</div>
					</li>
				</ul>
				<th:block layout:fragment="links">
					<ul class="navbar-nav">
						<th:block th:each="i: ${menuitems}" th:if="${menuitems} != null">
							<li class="nav-item">
								<a onclick="progress.start()" th:class="${i.isAlive ? 'nav-link menubtn' : 'nav-link menubtn btn-offline'}" th:href="${i.url + '/login?lang=' + #locale.toString()}" th:text="${i.label}" th:title="${i.description}" th:if="${i.id} != 'qualityreport'"></a>
								<div class="nav-link menubtn menuselection" th:title="${i.description}" th:if="${i.id} == 'qualityreport'">
									<span th:text="${i.label}"></span>
									<div th:text="'Version ' + ${@buildInformation.getVersion()}" class="menuversion"></div>
								</div> 
							</li>
						</th:block>
						<li class="nav-item menudevelopererror" th:if="${menuitems} == null">DEV: Please add ${menuitems} to the page!</li>
						<li class="nav-item menudevelopererror" th:if="${appid} == null">DEV: Please add ${appid} to the page!</li>
					</ul>
				</th:block>
			</div>
		</div>
	</nav>
	<div class="mainpanel">
		<main layout:fragment="content"></main>
	</div>
	<nav class="navbar navbar-expand-lg navbar-ligh bg-light static-top">
		<div class="container-fluid" style="width: 98%">
			<ul class="navbar-nav">
				<li class="nav-item dropup btn-hoverborder"><a class="nav-link dropdown-toggle" href="#" id="hamburgerDropdown"
					role="button" data-bs-toggle="dropdown" aria-expanded="false"><i class="fas fa-bars"></i></a>
					<ul class="dropdown-menu" aria-labelledby="hamburgerDropdown">
						<li class="nav-item dropup"><a class="dropdown-item" th:href="@{''(lang=de)}" onclick="progress.start()"><img
								alt="" th:src="@{/png/locale/de.png}" />&nbsp;[[#{locale.de}]]</a><i class="fas fa-check btn-hamburger-check"
							th:if="${#locale.toString()} == 'de'"></i></li>
						<li class="nav-item dropup"><a class="dropdown-item" th:href="@{''(lang=en)}" onclick="progress.start()"><img
								alt="" th:src="@{/png/locale/en.png}" />&nbsp;[[#{locale.en}]]</a><i class="fas fa-check btn-hamburger-check"
							th:if="${#locale.toString()} == 'en'"></i></li>
						<li class="nav-item dropup"><a class="dropdown-item" th:href="@{''(lang=es)}" onclick="progress.start()"><img
								alt="" th:src="@{/png/locale/es.png}" />&nbsp;[[#{locale.es}]]</a><i class="fas fa-check btn-hamburger-check"
							th:if="${#locale.toString()} == 'es'"></i></li>
						<li class="nav-item dropup"><a class="dropdown-item" th:href="@{''(lang=pl)}" onclick="progress.start()"><img
								alt="" th:src="@{/png/locale/pl.png}" />&nbsp;[[#{locale.pl}]]</a><i class="fas fa-check btn-hamburger-check"
							th:if="${#locale.toString()} == 'pl'"></i></li>
						<li class="nav-item dropup"><a class="dropdown-item" th:href="@{''(lang=ro)}" onclick="progress.start()"><img
								alt="" th:src="@{/png/locale/ro.png}" />&nbsp;[[#{locale.ro}]]</a><i class="fas fa-check btn-hamburger-check"
							th:if="${#locale.toString()} == 'ro'"></i></li>
						<th:block th:if="${@sessionBean.isAdmin}">
							<li><hr class="dropdown-divider"></li>
							<li class="nav-item dropup"><a class="dropdown-item" th:href="@{'logging'(level=debug)}" onclick="progress.start()">DEBUG</a><i
								class="fa fa-check btn-hamburger-check" th:if="${@sessionBean.logging} == 'DEBUG'"></i></li>
							<li class="nav-item dropup"><a class="dropdown-item" th:href="@{'logging'(level=info)}" onclick="progress.start()">INFO</a><i
								class="fa fa-check btn-hamburger-check" th:if="${@sessionBean.logging} == 'INFO'"></i></li>
							<li class="nav-item dropup"><a class="dropdown-item" th:href="@{'logging'(level=warn)}" onclick="progress.start()">WARN</a><i
								class="fa fa-check btn-hamburger-check" th:if="${@sessionBean.logging} == 'WARN'"></i></li>
							<li class="nav-item dropup"><a class="dropdown-item" th:href="@{'logging'(level=error)}" onclick="progress.start()">ERROR</a><i
								class="fa fa-check btn-hamburger-check" th:if="${@sessionBean.logging} == 'ERROR'"></i></li>
						</th:block>
						<li><hr class="dropdown-divider"></li>
						<li class="nav-item"><a class="dropdown-item" th:href="@{/logout}"
							th:utext="#{main.nav.item.logout(${@sessionBean.username})}" onclick="progress.start()">logout</a></li>
					</ul></li>
			</ul>
			<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarResponsive"
				aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarResponsive">
				<th:block layout:fragment="buttons"></th:block>
			</div>
			<div class="navbar-brand">
				<img th:src="@{/png/logo_shipped.png}" style="height: 32px">
			</div>
		</div>
	</nav>
</body>
</html>